Kettle的MySQL数据源版本问题及解决

2022-11-28 0 736

目录背景原因1.官方支持问题2.MySQL曾经换过包名解决方法1.将高版本驱动包2.如图配置3.链接成功

背景

使用Kettle创建MySQL链接时,JDBC包版本兼容问题,只能用5.1的mysql.jar包。

高版本用不了。然而,现在普遍都是8.0的MySQL版本。

原因

1.官方支持问题

如图可以看到官方支持的是MySQL-JDBC-5.1.jar。

经过测试,5.1的jar包,确实可以直接用,但是链接高版本的MySQL时会出问题。

Kettle的MySQL数据源版本问题及解决

2.MySQL曾经换过包名版本driver-class5.1.47以前org.git.mm.mysql.Driver6以前com.mysql.jdbc.Driver6以后com.mysql.cj.jdbc.Driver

所以有可能是因为这个问题,新的驱动包,Kettle找不到。

解决方法

1.将高版本驱动包

放在**\\data-integration\\lib中

2.如图配置jdbc:mysql://localhost:3368/dev?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8com.mysql.cj.jdbc.Driver

Kettle的MySQL数据源版本问题及解决

3.链接成功

Kettle的MySQL数据源版本问题及解决

以上为个人经验,希望能给大家一个参考,也希望大家多多支持悠久资源网。

收藏 (0) 打赏

感谢您的支持,我会继续努力的!

打开微信/支付宝扫一扫,即可进行扫码打赏哦,分享从这里开始,精彩与您同在
点赞 (0)

悠久资源 Mysql数据库 Kettle的MySQL数据源版本问题及解决 https://www.u-9.cn/sql/mysql/730.html

常见问题

相关文章

发表评论
暂无评论
官方客服团队

为您解决烦忧 - 24小时在线 专业服务

  • 0 +

    访问总数

  • 0 +

    会员总数

  • 0 +

    文章总数

  • 0 +

    今日发布

  • 0 +

    本周发布

  • 0 +

    运行天数

注册会员,众多资源免费下载